Bug 57965 - FILESAVE: ODT with table spanning page boundary saves to DOC with extra row on first page and blank row on following page
Summary: FILESAVE: ODT with table spanning page boundary saves to DOC with extra row o...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.3.4 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:doc
Depends on:
Blocks: DOC-Tables
  Show dependency treegraph
 
Reported: 2012-12-07 03:27 UTC by chen bin
Modified: 2020-10-02 03:50 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
original odt (16.65 KB, application/vnd.oasis.opendocument.text)
2012-12-07 03:27 UTC, chen bin
Details
converted doc (80.00 KB, application/msword)
2012-12-07 03:29 UTC, chen bin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description chen bin 2012-12-07 03:27:53 UTC
Created attachment 71109 [details]
original odt

as title, the second page containing the part of the table has an extra empty row at the beginning of the table.

libreoffice Version 3.6.3.2 (Build ID: 58f22d5) at OS X 10.7.3.

This is a show stopper for libreoffice because saving to doc is the most frequently used feature and any serious document will contain tables.

I attached a sample odt for you. If you wish, I can send the converted doc to you.
Comment 1 chen bin 2012-12-07 03:29:01 UTC
Created attachment 71110 [details]
converted doc
Comment 2 Emir Sarı 2012-12-09 08:47:07 UTC
Confirmed using LibO 3.6.4.3 on OS X 10.7.5
Comment 3 Owen Genat (retired) 2014-09-28 11:10:02 UTC
Tested the provided ODT under GNU/Linux using:

- v3.3.4.1 OOO330m19 Build: 401
- v3.4.6.2 OOO340m1 Build: 602
- v3.5.7.2 Build ID: 3215f89-f603614-ab984f2-7348103-1225a5b
- v3.6.7.2 Build ID: e183d5b
- v4.0.6.2 Build ID: 2e2573268451a50806fcd60ae2d9fe01dd0ce24
- v4.1.6.2 Build ID: 40ff705089295be5be0aae9b15123f687c05b0a
- v4.2.6.3 Build ID: 3fd416d4c6db7d3204c17ce57a1d70f6e531ee21
- v4.3.2.2 Build ID: edfb5295ba211bd31ad47d0bad0118690f76407d
- v4.4.0.0.alpha0+ Build ID: df73f4115cfe4d07e4159adf087571687eb173ec TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2014-09-25_23:06:16

In v3.3-4.1 and v4.4 saving to DOC format results in the table breaking over pp.1-2 having three rows on p.1 (C++, JAVA, AJAX...) and a single blank row beneath the table header on p.2. In v4.2-4.3 saving to DOC results in identical format to that displayed in the ODT i.e., two rows on p.1 (C++, JAVA) and the first row beneath the table header on p.2 being the AJAX one. 

Seems to be RESOLVED in v4.2-4.3 and currently regressed in v4.4. Version set to 3.3.4. Summary amended for clarity.
Comment 4 QA Administrators 2015-10-14 19:57:21 UTC Comment hidden (obsolete)
Comment 5 Buovjaga 2016-01-29 14:48:56 UTC
Still confirmed.

Win 7 Pro 64-bit Version: 5.2.0.0.alpha0+
Build ID: 259c1ed201f4277d74dfd600fed8c837cbf56abc
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2016-01-27_00:45:12
Locale: fi-FI (fi_FI)
Comment 6 QA Administrators 2017-03-06 13:58:34 UTC Comment hidden (obsolete)
Comment 7 Telesto 2017-05-08 12:21:38 UTC
Repro with
Version: 5.4.0.0.alpha1+
Build ID: 274ecb49b70b3f01d47546e3b44317946c106042
CPU threads: 4; OS: Windows 6.2; UI render: default; 
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2017-05-05_22:45:07
Locale: nl-BE (nl_NL); Calc: single
Comment 8 Justin L 2017-09-06 02:26:28 UTC
Seeing as this comes and goes a lot, there isn't much likelihood of a bibisect finding the root cause.  It seemed to be working for me (Linux 16.04) in bibisects from 4.4 to 5.3.  It broke again with:
author	Khaled Hosny 2016-11-03 00:17:06 (GMT)
commit	8f2dd1df1d6cc94ebbc1149de72bc6d6dffa6533
Revert "Revert "Enable the new text layout engine by default""
Comment 9 QA Administrators 2018-10-02 02:54:41 UTC Comment hidden (obsolete)
Comment 10 QA Administrators 2020-10-02 03:50:57 UTC
Dear chen bin,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug